curl --request GET \
--url https://api.lendflow.com/api/attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clients": [
"architecto"
],
"search": null,
"status": [
1,
2
],
"type": 2,
"workflow_template_id": "27fb91bb-7544-4c9e-8b9e-3114d65e72b8",
"exclude_active": true,
"for_selection": true,
"is_global": true
}
'import requests
url = "https://api.lendflow.com/api/attributes"
payload = {
"clients": ["architecto"],
"search": None,
"status": [1, 2],
"type": 2,
"workflow_template_id": "27fb91bb-7544-4c9e-8b9e-3114d65e72b8",
"exclude_active": True,
"for_selection": True,
"is_global": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clients: ['architecto'],
search: null,
status: [1, 2],
type: 2,
workflow_template_id: '27fb91bb-7544-4c9e-8b9e-3114d65e72b8',
exclude_active: true,
for_selection: true,
is_global: true
})
};
fetch('https://api.lendflow.com/api/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"short_id": null,
"name": "Eius et.",
"description": "Et fugiat sunt nihil accusantium. Mollitia modi deserunt aut ab provident perspiciatis quo. Nostrum aut adipisci quidem nostrum. Incidunt iure odit et et modi ipsum. Omnis autem et consequatur.",
"is_global": false,
"status": 2,
"type": 1,
"content": null,
"tokens": null,
"updated_at": null,
"created_at": null,
"is_readonly": false,
"is_legacy": false
},
{
"id": null,
"short_id": null,
"name": "Nemo odit.",
"description": "Dignissimos neque blanditiis odio. Excepturi doloribus delectus fugit qui repudiandae laboriosam. Alias tenetur ratione nemo voluptate accusamus ut et. Modi rerum ex repellendus assumenda et tenetur.",
"is_global": false,
"status": 2,
"type": 1,
"content": null,
"tokens": null,
"updated_at": null,
"created_at": null,
"is_readonly": false,
"is_legacy": false
}
]
}List Attributes
Returns a paginated list of your attributes, most recently updated first. Results can be filtered by search term, status, and type.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Body
Must match an existing stored value.
["architecto"]
Search Attribute by name or by character ID.
null
Search Attribute by status.
1, 2 [1, 2]
1, 2 2
Filter Attributes by Workflow Template. This field is required when exclude_active is present. Must match an existing stored value.
"27fb91bb-7544-4c9e-8b9e-3114d65e72b8"
Exclude Attributes that are active.
true
List attributes available for selection, including before a workflow template exists. Client selectors exclude globals.
true
Filter by global status. Client lists include published globals by default. For client selectors, this must be false or omitted.
true
Response
Show child attributes
Show child attributes
[
{
"id": null,
"short_id": null,
"name": "Eius et.",
"description": "Et fugiat sunt nihil accusantium. Mollitia modi deserunt aut ab provident perspiciatis quo. Nostrum aut adipisci quidem nostrum. Incidunt iure odit et et modi ipsum. Omnis autem et consequatur.",
"is_global": false,
"status": 2,
"type": 1,
"content": null,
"tokens": null,
"updated_at": null,
"created_at": null,
"is_readonly": false,
"is_legacy": false
},
{
"id": null,
"short_id": null,
"name": "Nemo odit.",
"description": "Dignissimos neque blanditiis odio. Excepturi doloribus delectus fugit qui repudiandae laboriosam. Alias tenetur ratione nemo voluptate accusamus ut et. Modi rerum ex repellendus assumenda et tenetur.",
"is_global": false,
"status": 2,
"type": 1,
"content": null,
"tokens": null,
"updated_at": null,
"created_at": null,
"is_readonly": false,
"is_legacy": false
}
]
Was this page helpful?